diff --git a/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_badges.TestBadges.test_data_simple b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_badges.TestBadges.test_data_simple
new file mode 100644
index 0000000..e4c8d8d
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.test_widgets.test_badges.TestBadges.test_data_simple
@@ -0,0 +1,810 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.7.0 CPython/2.7.10 Linux/4.3.3-300.fc23.x86_64]
+    method: GET
+    uri: https://badges.fedoraproject.org/user/ralph/json
+  response:
+    body: {string: !!python/unicode '{"percent_earned": 47.05882352941176, "assertions":
+        [{"description": "You attended Flock 2013, the Fedora Contributor Conference",
+        "tags": "flock,event,", "issued": 1375373082.0, "image": "https://badges.fedoraproject.org/pngs/flock-2013-attendee.png",
+        "first_awarded": 1375373082.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "gnokii", "last_awarded": 1386188828.0, "percent_earned": 0.4045921205684519,
+        "id": "flock-2013-attendee", "times_awarded": 80, "name": "Flock 2013 Attendee"},
+        {"description": "Voted on 50 tags for packages in Fedora Tagger.", "tags":
+        "quality,tagger,", "issued": 1375450118.0, "image": "https://badges.fedoraproject.org/pngs/tagger-02.png",
+        "first_awarded": 1375450118.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "bitlord", "last_awarded": 1452636478.0, "percent_earned": 1.1278005360845598,
+        "id": "tagger-tagger-ii", "times_awarded": 223, "name": "Tagger (Tagger II)"},
+        {"description": "Voted on 10 tags for packages in Fedora Tagger.", "tags":
+        "quality,tagger,", "issued": 1375450119.0, "image": "https://badges.fedoraproject.org/pngs/tagger-01.png",
+        "first_awarded": 1375450119.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "bitlord", "last_awarded": 1452632614.0, "percent_earned": 1.7498609214585545,
+        "id": "junior-tagger-tagger-i", "times_awarded": 346, "name": "Junior Tagger
+        (Tagger I)"}, {"description": "You signed the Fedora Project Contributor Agreement
+        (FPCA)", "tags": "account,community,", "issued": 1375572218.0, "image": "https://badges.fedoraproject.org/pngs/involvement.png",
+        "first_awarded": 1375572176.0, "first_awarded_person": "puiterwijk", "last_awarded_person":
+        "fishers1967", "last_awarded": 1453390941.0, "percent_earned": 58.06402670307996,
+        "id": "involvement", "times_awarded": 11481, "name": "Involvement"}, {"description":
+        "Participated in an IRC meeting.", "tags": "irc,community,", "issued": 1375734057.0,
+        "image": "https://badges.fedoraproject.org/pngs/irc-speak-up.png", "first_awarded":
+        1375734057.0, "first_awarded_person": "ralph", "last_awarded_person": "leifmadsen",
+        "last_awarded": 1453305829.0, "percent_earned": 7.510241238051889, "id": "speak-up!",
+        "times_awarded": 1485, "name": "Speak Up!"}, {"description": "Edited at least
+        10 wiki pages.", "tags": "content,wiki,", "issued": 1375888314.0, "image":
+        "https://badges.fedoraproject.org/pngs/junior-editor.png", "first_awarded":
+        1375888314.0, "first_awarded_person": "ralph", "last_awarded_person": "cnangel",
+        "last_awarded": 1453350349.0, "percent_earned": 4.784301825721944, "id": "junior-editor",
+        "times_awarded": 946, "name": "Junior Editor"}, {"description": "Edited at
+        least 20 wiki pages.", "tags": "content,wiki,", "issued": 1375888315.0, "image":
+        "https://badges.fedoraproject.org/pngs/associate-editor.png", "first_awarded":
+        1375888315.0, "first_awarded_person": "ralph", "last_awarded_person": "raven",
+        "last_awarded": 1452869625.0, "percent_earned": 3.272138775097355, "id": "associate-editor",
+        "times_awarded": 647, "name": "Associate Editor"}, {"description": "Chaired
+        an IRC meeting.", "tags": "irc,community,", "issued": 1375889493.0, "image":
+        "https://badges.fedoraproject.org/pngs/irc-secretary-general.png", "first_awarded":
+        1375889493.0, "first_awarded_person": "ralph", "last_awarded_person": "farhaan",
+        "last_awarded": 1453312868.0, "percent_earned": 2.7360542153441565, "id":
+        "secretary-general", "times_awarded": 541, "name": "Secretary General"}, {"description":
+        "Voted on 250 tags for packages in Fedora Tagger.", "tags": "quality,tagger,",
+        "issued": 1375898650.0, "image": "https://badges.fedoraproject.org/pngs/tagger-03.png",
+        "first_awarded": 1375898650.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "mastaiza", "last_awarded": 1451951597.0, "percent_earned": 0.5310271582460933,
+        "id": "senior-tagger-tagger-iii", "times_awarded": 105, "name": "Senior Tagger
+        (Tagger III)"}, {"description": "Succesfully completed 250 koji builds.",
+        "tags": "development,koji,", "issued": 1377742978.0, "image": "https://badges.fedoraproject.org/pngs/koji-if-you-build-it-04.png",
+        "first_awarded": 1377711940.0, "first_awarded_person": "remi", "last_awarded_person":
+        "fale", "last_awarded": 1453273101.0, "percent_earned": 0.950791483335862,
+        "id": "if-you-build-it...-koji-success-iv", "times_awarded": 188, "name":
+        "If you build it... (Koji Success IV)"}, {"description": "Succesfully completed
+        a koji build.", "tags": "development,koji,", "issued": 1377742982.0, "image":
+        "https://badges.fedoraproject.org/pngs/koji-if-you-build-it-01.png", "first_awarded":
+        1377708898.0, "first_awarded_person": "mcpierce", "last_awarded_person": "cstratak",
+        "last_awarded": 1453310380.0, "percent_earned": 5.735093309057806, "id": "if-you-build-it...-koji-success-i",
+        "times_awarded": 1134, "name": "If you build it... (Koji Success I)"}, {"description":
+        "Succesfully completed 10 koji builds.", "tags": "development,koji,", "issued":
+        1377742977.0, "image": "https://badges.fedoraproject.org/pngs/koji-if-you-build-it-02.png",
+        "first_awarded": 1377708893.0, "first_awarded_person": "mcpierce", "last_awarded_person":
+        "eischmann", "last_awarded": 1453239619.0, "percent_earned": 4.622464977494563,
+        "id": "if-you-build-it...-koji-success-ii", "times_awarded": 914, "name":
+        "If you build it... (Koji Success II)"}, {"description": "Succesfully completed
+        50 koji builds.", "tags": "development,koji,", "issued": 1377742981.0, "image":
+        "https://badges.fedoraproject.org/pngs/koji-if-you-build-it-03.png", "first_awarded":
+        1377708896.0, "first_awarded_person": "mcpierce", "last_awarded_person": "gnat",
+        "last_awarded": 1452623672.0, "percent_earned": 2.6349061852020434, "id":
+        "if-you-build-it...-koji-success-iii", "times_awarded": 521, "name": "If you
+        build it... (Koji Success III)"}, {"description": "Ten or more questions and
+        answers on the Ask Fedora system.", "tags": "ask fedora,community,", "issued":
+        1377794097.0, "image": "https://badges.fedoraproject.org/pngs/askbot-curious-penguin-02.png",
+        "first_awarded": 1375889645.0, "first_awarded_person": "hmaarrfk", "last_awarded_person":
+        "fedelibre", "last_awarded": 1453367297.0, "percent_earned": 2.508471147524402,
+        "id": "curious-penguin-ask-fedora-ii", "times_awarded": 496, "name": "Curious
+        Penguin (Ask Fedora II)"}, {"description": "You had your first interaction
+        with the Ask Fedora forum system.", "tags": "ask fedora,community,", "issued":
+        1377794096.0, "image": "https://badges.fedoraproject.org/pngs/askbot-curious-penguin-01.png",
+        "first_awarded": 1375889644.0, "first_awarded_person": "hmaarrfk", "last_awarded_person":
+        "panos", "last_awarded": 1453375409.0, "percent_earned": 16.2949476558944,
+        "id": "curious-penguin-ask-fedora-i", "times_awarded": 3222, "name": "Curious
+        Penguin (Ask Fedora I)"}, {"description": "You updated your Security Question
+        with the Fedora Account System (FAS)", "tags": "account,community,", "issued":
+        1375988994.0, "image": "https://badges.fedoraproject.org/pngs/fas-riddle-me-this.png",
+        "first_awarded": 1375988994.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "quinnrm", "last_awarded": 1453389677.0, "percent_earned": 3.155818540433925,
+        "id": "riddle-me-this", "times_awarded": 624, "name": "Riddle Me This"}, {"description":
+        "Pushed 30 commits to a Fedora package repository.", "tags": "development,",
+        "issued": 1376076329.0, "image": "https://badges.fedoraproject.org/pngs/you-can-call-me-patches-02.png",
+        "first_awarded": 1375887918.0, "first_awarded_person": "jforbes", "last_awarded_person":
+        "cockpit", "last_awarded": 1453321371.0, "percent_earned": 3.919486168006878,
+        "id": "you-can-call-me-patches-scm-ii", "times_awarded": 775, "name": "You
+        can call me \"Patches\" (SCM II)"}, {"description": "Submitted a koji build
+        that failed to build.", "tags": "development,oops,koji,", "issued": 1377887821.0,
+        "image": "https://badges.fedoraproject.org/pngs/koji-what-goes-up-01.png",
+        "first_awarded": 1377711403.0, "first_awarded_person": "bpepple", "last_awarded_person":
+        "eischmann", "last_awarded": 1453239295.0, "percent_earned": 3.8284529408789765,
+        "id": "what-goes-up...-koji-failure-i", "times_awarded": 757, "name": "What
+        goes up... (Koji Failure I)"}, {"description": "Pushed 5 commits to a Fedora
+        package repository.", "tags": "development,", "issued": 1376076328.0, "image":
+        "https://badges.fedoraproject.org/pngs/you-can-call-me-patches-01.png", "first_awarded":
+        1375887918.0, "first_awarded_person": "jforbes", "last_awarded_person": "suraia",
+        "last_awarded": 1452800930.0, "percent_earned": 5.3507307945177764, "id":
+        "you-can-call-me-patches-scm-i", "times_awarded": 1058, "name": "You can call
+        me \"Patches\" (SCM I)"}, {"description": "Pushed 400 commits to a Fedora
+        package repository.", "tags": "development,", "issued": 1376076329.0, "image":
+        "https://badges.fedoraproject.org/pngs/you-can-call-me-patches-04.png", "first_awarded":
+        1375892509.0, "first_awarded_person": "rdieter", "last_awarded_person": "lvrabec",
+        "last_awarded": 1452698912.0, "percent_earned": 0.8749304607292773, "id":
+        "you-can-call-me-patches-scm-iv", "times_awarded": 173, "name": "You can call
+        me \"Patches\" (SCM IV)"}, {"description": "Pushed 90 commits to a Fedora
+        package repository.", "tags": "development,", "issued": 1376076329.0, "image":
+        "https://badges.fedoraproject.org/pngs/you-can-call-me-patches-03.png", "first_awarded":
+        1375889053.0, "first_awarded_person": "mhlavink", "last_awarded_person": "pschiffe",
+        "last_awarded": 1453290910.0, "percent_earned": 2.4781267384817682, "id":
+        "you-can-call-me-patches-scm-iii", "times_awarded": 490, "name": "You can
+        call me \"Patches\" (SCM III)"}, {"description": "Submitted 20 or more koji
+        builds that failed to build.", "tags": "development,oops,koji,", "issued":
+        1377887820.0, "image": "https://badges.fedoraproject.org/pngs/koji-what-goes-up-03.png",
+        "first_awarded": 1377711401.0, "first_awarded_person": "bpepple", "last_awarded_person":
+        "ankursinha", "last_awarded": 1452452682.0, "percent_earned": 1.183431952662722,
+        "id": "what-goes-up...-koji-failure-iii", "times_awarded": 234, "name": "What
+        goes up... (Koji Failure III)"}, {"description": "Submitted 5 or more koji
+        builds that failed to build.", "tags": "development,oops,koji,", "issued":
+        1377887822.0, "image": "https://badges.fedoraproject.org/pngs/koji-what-goes-up-02.png",
+        "first_awarded": 1377711406.0, "first_awarded_person": "bpepple", "last_awarded_person":
+        "pkilambi", "last_awarded": 1453335472.0, "percent_earned": 2.548930359581247,
+        "id": "what-goes-up...-koji-failure-ii", "times_awarded": 504, "name": "What
+        goes up... (Koji Failure II)"}, {"description": "Pushed 100 bodhi updates
+        to the testing repositories.", "tags": "development", "issued": 1376077757.0,
+        "image": "https://badges.fedoraproject.org/pngs/is-this-thing-on-03.png",
+        "first_awarded": 1375892382.0, "first_awarded_person": "rdieter", "last_awarded_person":
+        "lvrabec", "last_awarded": 1452777318.0, "percent_earned": 0.9153896727861224,
+        "id": "is-this-thing-on-updates-testing-iii", "times_awarded": 181, "name":
+        "Is this thing on? (Updates-Testing III)"}, {"description": "*(a path to follow)*\nTested
+        and added karma to 5 updates-testing updates in Bodhi.\n", "tags": "ten bulls,quality,",
+        "issued": 1376171387.0, "image": "https://badges.fedoraproject.org/pngs/tester-02.png",
+        "first_awarded": 1375889658.0, "first_awarded_person": "pbrobinson", "last_awarded_person":
+        "stevenmerrill", "last_awarded": 1453314068.0, "percent_earned": 4.718555606129571,
+        "id": "discovery-of-the-footprints-tester-ii", "times_awarded": 933, "name":
+        "Discovery of the Footprints (Tester II)"}, {"description": "You got your
+        first 10 Fedora Badges", "tags": "community,badges,", "issued": 1376171392.0,
+        "image": "https://badges.fedoraproject.org/pngs/badger-01.png", "first_awarded":
+        1376118882.0, "first_awarded_person": "ignatenkobrain", "last_awarded_person":
+        "lovetide", "last_awarded": 1453389567.0, "percent_earned": 11.975926768826177,
+        "id": "junior-badger-badger-i", "times_awarded": 2368, "name": "Junior Badger
+        (Badger I)"}, {"description": "You pushed your first bodhi update to the stable
+        repositories.", "tags": "development,", "issued": 1376171906.0, "image": "https://badges.fedoraproject.org/pngs/like-a-rock-01.png",
+        "first_awarded": 1375891204.0, "first_awarded_person": "blakegardner", "last_awarded_person":
+        "jortel", "last_awarded": 1453223123.0, "percent_earned": 5.006827492034593,
+        "id": "like-a-rock-updates-stable-i", "times_awarded": 990, "name": "Like
+        a Rock (Updates-Stable I)"}, {"description": "*(but only its rear, not its
+        head)*\nTested and added karma to 10 updates-testing updates in Bodhi.\n",
+        "tags": "ten bulls,quality,", "issued": 1376171388.0, "image": "https://badges.fedoraproject.org/pngs/tester-03.png",
+        "first_awarded": 1375889660.0, "first_awarded_person": "pbrobinson", "last_awarded_person":
+        "fmuellner", "last_awarded": 1453226784.0, "percent_earned": 2.8321448439791634,
+        "id": "perceiving-the-bull-tester-iii", "times_awarded": 560, "name": "Perceiving
+        the Bull (Tester III)"}, {"description": "Pushed 100 bodhi updates to the
+        stable repositories.", "tags": "development,", "issued": 1376171907.0, "image":
+        "https://badges.fedoraproject.org/pngs/like-a-rock-03.png", "first_awarded":
+        1375930621.0, "first_awarded_person": "cicku", "last_awarded_person": "heffer",
+        "last_awarded": 1453162247.0, "percent_earned": 0.677691801952157, "id": "like-a-rock-updates-stable-iii",
+        "times_awarded": 134, "name": "Like a Rock (Updates-Stable III)"}, {"description":
+        "*(aimless searching, only the sound of cicadas)*\nTested and added karma
+        to 1 updates-testing updates in Bodhi.\n", "tags": "ten bulls,quality,", "issued":
+        1376171388.0, "image": "https://badges.fedoraproject.org/pngs/tester-01.png",
+        "first_awarded": 1375889660.0, "first_awarded_person": "pbrobinson", "last_awarded_person":
+        "nshaikh", "last_awarded": 1453381228.0, "percent_earned": 11.626966064835887,
+        "id": "in-search-of-the-bull-tester-i", "times_awarded": 2299, "name": "In
+        Search of the Bull (Tester I)"}, {"description": "Pushed 20 bodhi updates
+        to the stable repositories.", "tags": "development,", "issued": 1376171906.0,
+        "image": "https://badges.fedoraproject.org/pngs/like-a-rock-02.png", "first_awarded":
+        1375893154.0, "first_awarded_person": "pingou", "last_awarded_person": "gnat",
+        "last_awarded": 1453138519.0, "percent_earned": 2.260658473676225, "id": "like-a-rock-updates-stable-ii",
+        "times_awarded": 447, "name": "Like a Rock (Updates-Stable II)"}, {"description":
+        "Partied with Flock 2013 (at the South Carolina Aquarium)", "tags": "party,flock,event,",
+        "issued": 1376252202.0, "image": "https://badges.fedoraproject.org/pngs/tanked.png",
+        "first_awarded": 1376252202.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "gnokii", "last_awarded": 1411656869.0, "percent_earned": 0.31355889344055027,
+        "id": "tanked!", "times_awarded": 62, "name": "Tanked!"}, {"description":
+        "You proposed a new idea for a Fedora Badge.  Thanks!", "tags": "community,badges,",
+        "issued": 1376261121.0, "image": "https://badges.fedoraproject.org/pngs/badge-muse-01.png",
+        "first_awarded": 1376261121.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "jsmith", "last_awarded": 1453126870.0, "percent_earned": 0.5967733778384666,
+        "id": "badge-muse-badge-ideas-i", "times_awarded": 118, "name": "Badge Muse
+        (Badge Ideas I)"}, {"description": "You got a new koji certificate!", "tags":
+        "account,community,", "issued": 1376347603.0, "image": "https://badges.fedoraproject.org/pngs/fas-bona-fide.png",
+        "first_awarded": 1375891140.0, "first_awarded_person": "ralphlange", "last_awarded_person":
+        "drsn0w", "last_awarded": 1453260519.0, "percent_earned": 9.98331057502655,
+        "id": "bona-fide", "times_awarded": 1974, "name": "Bona Fide"}, {"description":
+        " Submitted a Supplemental Wallpaper Idea for Fedora 20.", "tags": "content,design,nuancier,",
+        "issued": 1378218417.0, "image": "https://badges.fedoraproject.org/pngs/design-keepin-fedora-beautiful-f20.png",
+        "first_awarded": 1377269416.0, "first_awarded_person": "ryanlerch", "last_awarded_person":
+        "iwan14", "last_awarded": 1378218427.0, "percent_earned": 0.13149243918474687,
+        "id": "keepin-fedora-beautiful-f20", "times_awarded": 26, "name": "Keepin
+        Fedora Beautiful (F20)"}, {"description": "You got (about) 50 Fedora Badges.  Way
+        to go!", "tags": "community,badges,", "issued": 1378504718.0, "image": "https://badges.fedoraproject.org/pngs/badger-02.png",
+        "first_awarded": 1377470469.0, "first_awarded_person": "jamielinux", "last_awarded_person":
+        "jmlich", "last_awarded": 1453380139.0, "percent_earned": 1.254235573762201,
+        "id": "senior-badger-badger-ii", "times_awarded": 248, "name": "Senior Badger
+        (Badger II)"}, {"description": "You pushed your first bodhi update to the
+        testing repositories.", "tags": "development", "issued": 1376077757.0, "image":
+        "https://badges.fedoraproject.org/pngs/is-this-thing-on-01.png", "first_awarded":
+        1375889661.0, "first_awarded_person": "fantom", "last_awarded_person": "cstratak",
+        "last_awarded": 1453371252.0, "percent_earned": 5.3203863854751425, "id":
+        "is-this-thing-on-updates-testing-i", "times_awarded": 1052, "name": "Is this
+        thing on? (Updates-Testing I)"}, {"description": "Pushed 20 bodhi updates
+        to the testing repositories.", "tags": "development", "issued": 1376077757.0,
+        "image": "https://badges.fedoraproject.org/pngs/is-this-thing-on-02.png",
+        "first_awarded": 1375889878.0, "first_awarded_person": "stefw", "last_awarded_person":
+        "rcritten", "last_awarded": 1452870021.0, "percent_earned": 2.7866282304152126,
+        "id": "is-this-thing-on-updates-testing-ii", "times_awarded": 551, "name":
+        "Is this thing on? (Updates-Testing II)"}, {"description": "You added a co-maintainer
+        to a package. BFF!", "tags": "development,", "issued": 1376531564.0, "image":
+        "https://badges.fedoraproject.org/pngs/pkgdb-partners-in-crime.png", "first_awarded":
+        1376531564.0, "first_awarded_person": "ralph", "last_awarded_person": "bmbouter",
+        "last_awarded": 1453326365.0, "percent_earned": 3.1103019268699743, "id":
+        "partners-in-crime", "times_awarded": 615, "name": "Partners in Crime"}, {"description":
+        "*(a great struggle, repeated escapes, discipline required)*\nTested and added
+        karma to 20 updates-testing updates in Bodhi.\n", "tags": "ten bulls,quality,",
+        "issued": 1378251927.0, "image": "https://badges.fedoraproject.org/pngs/tester-04.png",
+        "first_awarded": 1375889657.0, "first_awarded_person": "pbrobinson", "last_awarded_person":
+        "rbarlow", "last_awarded": 1452797003.0, "percent_earned": 1.5930814747382795,
+        "id": "catching-the-bull-tester-iv", "times_awarded": 315, "name": "Catching
+        the Bull (Tester IV)"}, {"description": "Voted on 1000 tags for packages in
+        Fedora Tagger.", "tags": "quality,tagger,", "issued": 1378613794.0, "image":
+        "https://badges.fedoraproject.org/pngs/tagger-04.png", "first_awarded": 1376814408.0,
+        "first_awarded_person": "jamielinux", "last_awarded_person": "jibecfed", "last_awarded":
+        1451517381.0, "percent_earned": 0.24275527234107114, "id": "master-tagger-tagger-iv",
+        "times_awarded": 48, "name": "Master Tagger (Tagger IV)"}, {"description":
+        "A member of the sysadmin-badges group.  Nothing to see here..  move along.",
+        "tags": "infrastructure,badges,community,", "issued": 1378319150.0, "image":
+        "https://badges.fedoraproject.org/pngs/fas-inside-job.png", "first_awarded":
+        1378319146.0, "first_awarded_person": "oddshocks", "last_awarded_person":
+        "decause", "last_awarded": 1435781009.0, "percent_earned": 0.025287007535528244,
+        "id": "inside-job", "times_awarded": 5, "name": "Inside Job"}, {"description":
+        "Indicated your timezone in FAS so everyone can sync with you", "tags": "account,community,",
+        "issued": 1378320160.0, "image": "https://badges.fedoraproject.org/pngs/fas-white-rabbit.png",
+        "first_awarded": 1378313171.0, "first_awarded_person": "churchyard", "last_awarded_person":
+        "jvasallo", "last_awarded": 1453390587.0, "percent_earned": 12.304657866788045,
+        "id": "white-rabbit", "times_awarded": 2433, "name": "White Rabbit"}, {"description":
+        "You have a Libravatar associated with your Fedora OpenID.", "tags": "libravatar,community,",
+        "issued": 1376946138.0, "image": "https://badges.fedoraproject.org/pngs/mugshot.png",
+        "first_awarded": 1376946138.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "hahnsaja", "last_awarded": 1453391469.0, "percent_earned": 4.617407575987458,
+        "id": "mugshot", "times_awarded": 913, "name": "Mugshot"}, {"description":
+        "A member of sysadmin-main.", "tags": "development,infrastructure,", "issued":
+        1378320106.0, "image": "https://badges.fedoraproject.org/pngs/fas-trust-me-i-know-what-i-am-doing.png",
+        "first_awarded": 1378320079.0, "first_awarded_person": "lmacken", "last_awarded_person":
+        "pbrobinson", "last_awarded": 1430409877.0, "percent_earned": 0.08597582562079603,
+        "id": "trust-me,-i-know-what-i-am-doing", "times_awarded": 17, "name": "Trust
+        me, I know what I am doing"}, {"description": "Has used an ansible playbook
+        to deploy to Fedora Infrastructure", "tags": "development,infrastructure,",
+        "issued": 1378321037.0, "image": "https://badges.fedoraproject.org/pngs/ansible-maestro.png",
+        "first_awarded": 1378321037.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "sayanchowdhury", "last_awarded": 1449249202.0, "percent_earned": 0.1668942497344864,
+        "id": "maestro", "times_awarded": 33, "name": "Maestro"}, {"description":
+        "Created your own user profile page on the Fedora Wiki", "tags": "content,",
+        "issued": 1378321704.0, "image": "https://badges.fedoraproject.org/pngs/wiki-let-me-introduce-myself.png",
+        "first_awarded": 1378321704.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "aniketkhisti", "last_awarded": 1453384257.0, "percent_earned": 7.6923076923076925,
+        "id": "let-me-introduce-myself", "times_awarded": 1521, "name": "Let Me Introduce
+        Myself"}, {"description": "You submitted a bodhi update including multiple
+        packages.", "tags": "development,", "issued": 1377206257.0, "image": "https://badges.fedoraproject.org/pngs/bodhi-binary-star.png",
+        "first_awarded": 1376049444.0, "first_awarded_person": "jwrdegoede", "last_awarded_person":
+        "suraia", "last_awarded": 1452876478.0, "percent_earned": 1.3300965963687856,
+        "id": "binary-star", "times_awarded": 263, "name": "Binary Star"}, {"description":
+        "Became a sponsor of new packagers.", "tags": "development,account,", "issued":
+        1377283223.0, "image": "https://badges.fedoraproject.org/pngs/fas-packager-sponsor.png",
+        "first_awarded": 1377283156.0, "first_awarded_person": "abompard", "last_awarded_person":
+        "cweyl", "last_awarded": 1451604516.0, "percent_earned": 0.6827492034592627,
+        "id": "packager-sponsor", "times_awarded": 135, "name": "Packager Sponsor"},
+        {"description": "You posted 5 or more things to the Fedora Planet!", "tags":
+        "blog,community,", "issued": 1377697248.0, "image": "https://badges.fedoraproject.org/pngs/planet-bloggin-it-02.png",
+        "first_awarded": 1375902038.0, "first_awarded_person": "gomix", "last_awarded_person":
+        "jmlich", "last_awarded": 1453380114.0, "percent_earned": 2.8574318515146917,
+        "id": "bloggin-it!-planet-ii", "times_awarded": 565, "name": "Bloggin'' it!
+        (Planet II)"}, {"description": "You posted 10 or more things to the Fedora
+        Planet!", "tags": "blog,community,", "issued": 1377697247.0, "image": "https://badges.fedoraproject.org/pngs/planet-bloggin-it-03.png",
+        "first_awarded": 1375902037.0, "first_awarded_person": "gomix", "last_awarded_person":
+        "fale", "last_awarded": 1452955260.0, "percent_earned": 2.4275527234107117,
+        "id": "bloggin-it!-planet-iii", "times_awarded": 480, "name": "Bloggin'' it!
+        (Planet III)"}, {"description": "You posted something to the Fedora Planet.",
+        "tags": "blog,community,", "issued": 1377697248.0, "image": "https://badges.fedoraproject.org/pngs/planet-bloggin-it-01.png",
+        "first_awarded": 1375902037.0, "first_awarded_person": "gomix", "last_awarded_person":
+        "m4rtink", "last_awarded": 1451904147.0, "percent_earned": 3.373286805239468,
+        "id": "bloggin-it!-planet-i", "times_awarded": 667, "name": "Bloggin'' it!
+        (Planet I)"}, {"description": "You submitted a bodhi update with type \"security\"",
+        "tags": "development,security,", "issued": 1380316519.0, "image": "https://badges.fedoraproject.org/pngs/white-hat.png",
+        "first_awarded": 1379357860.0, "first_awarded_person": "jforbes", "last_awarded_person":
+        "jcajka", "last_awarded": 1452784301.0, "percent_earned": 1.729631315430132,
+        "id": "white-hat", "times_awarded": 342, "name": "White Hat"}, {"description":
+        "Voted in a supplemental wallpapers election for a Fedora release", "tags":
+        "election,community,nuancier,", "issued": 1380637092.0, "image": "https://badges.fedoraproject.org/pngs/nauncier.png",
+        "first_awarded": 1380617342.0, "first_awarded_person": "puiterwijk", "last_awarded_person":
+        "duffy", "last_awarded": 1381233461.0, "percent_earned": 0.3995347190613463,
+        "id": "nuancier", "times_awarded": 79, "name": "Nuancier"}, {"description":
+        "You''ve had a FAS account for over two years", "tags": "lifecycle,community,",
+        "issued": 1389056166.0, "image": "https://badges.fedoraproject.org/pngs/fas-account-embryo.png",
+        "first_awarded": 1389043685.0, "first_awarded_person": "joev", "last_awarded_person":
+        "coralatlas", "last_awarded": 1453259601.0, "percent_earned": 27.962372932787133,
+        "id": "embryo", "times_awarded": 5529, "name": "Embryo"}, {"description":
+        "*(less straying/discipline, bull becomes gentle/obedient)*\nTested and added
+        karma to 40 updates-testing updates in Bodhi.\n", "tags": "ten bulls,quality,",
+        "issued": 1381160713.0, "image": "https://badges.fedoraproject.org/pngs/tester-05.png",
+        "first_awarded": 1375896222.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "mastaiza", "last_awarded": 1453293512.0, "percent_earned": 0.8799878622363829,
+        "id": "taming-the-bull-tester-v", "times_awarded": 174, "name": "Taming the
+        Bull (Tester V)"}, {"description": "You contributed to a Common Bugs page.
+        Bugs? What bugs?", "tags": "content,", "issued": 1381324210.0, "image": "https://badges.fedoraproject.org/pngs/wiki-common-bugs.png",
+        "first_awarded": 1381324210.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "fale", "last_awarded": 1451379096.0, "percent_earned": 0.27309968138370505,
+        "id": "common-bugs-contributor", "times_awarded": 54, "name": "Common Bugs
+        Contributor"}, {"description": "You have logged in to the Fedora Badges app",
+        "tags": "community,badges,", "issued": 1382755079.0, "image": "https://badges.fedoraproject.org/pngs/baby-badger.png",
+        "first_awarded": 1382755079.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "tomh", "last_awarded": 1453387927.0, "percent_earned": 8.56723815303697,
+        "id": "baby-badger", "times_awarded": 1694, "name": "Baby Badger"}, {"description":
+        "Pushed 500 bodhi updates to the testing repositories.", "tags": "development",
+        "issued": 1384804767.0, "image": "https://badges.fedoraproject.org/pngs/is-this-thing-on-04.png",
+        "first_awarded": 1376840497.0, "first_awarded_person": "jamielinux", "last_awarded_person":
+        "piotrp", "last_awarded": 1449068505.0, "percent_earned": 0.12137763617053557,
+        "id": "is-this-thing-on-updates-testing-iv", "times_awarded": 24, "name":
+        "Is this thing on? (Updates-Testing IV)"}, {"description": "You retired a
+        package from the distribution. It hurt, but it had to be done.", "tags": "development,ownership,",
+        "issued": 1389043285.0, "image": "https://badges.fedoraproject.org/pngs/pkgdb-old-yeller.png",
+        "first_awarded": 1382533838.0, "first_awarded_person": "notting", "last_awarded_person":
+        "pfrields", "last_awarded": 1453230770.0, "percent_earned": 1.082283922520609,
+        "id": "old-yeller", "times_awarded": 214, "name": "Old Yeller"}, {"description":
+        "  You gave a presentation at Flock 2013, the Fedora Contributor Conference",
+        "tags": "event,speaker,", "issued": 1386089550.0, "image": "https://badges.fedoraproject.org/pngs/flockpresenter.png",
+        "first_awarded": 1386089406.0, "first_awarded_person": "sundaram", "last_awarded_person":
+        "pjones", "last_awarded": 1407317187.0, "percent_earned": 0.3590755070045011,
+        "id": "flock-2013-speaker", "times_awarded": 71, "name": "Flock 2013 Speaker"},
+        {"description": "You posted 20 or more things to the Fedora Planet!", "tags":
+        "blog,community,", "issued": 1386909731.0, "image": "https://badges.fedoraproject.org/pngs/planet-bloggin-it-04.png",
+        "first_awarded": 1375904463.0, "first_awarded_person": "paulmellors", "last_awarded_person":
+        "paulcarroty", "last_awarded": 1451415976.0, "percent_earned": 1.542507459667223,
+        "id": "bloggin-it!-planet-iv", "times_awarded": 305, "name": "Bloggin'' it!
+        (Planet IV)"}, {"description": "Edited at least 50 wiki pages.", "tags": "content,wiki,",
+        "issued": 1389045512.0, "image": "https://badges.fedoraproject.org/pngs/senior-editor.png",
+        "first_awarded": 1375891555.0, "first_awarded_person": "ppisar", "last_awarded_person":
+        "tomh", "last_awarded": 1453043511.0, "percent_earned": 1.6942295048803926,
+        "id": "senior-editor", "times_awarded": 335, "name": "Senior Editor"}, {"description":
+        "You''ve had a FAS account for over three years", "tags": "lifecycle,community,",
+        "issued": 1389064377.0, "image": "https://badges.fedoraproject.org/pngs/fas-account-tadpole.png",
+        "first_awarded": 1389061835.0, "first_awarded_person": "jwboyer", "last_awarded_person":
+        "nilix007", "last_awarded": 1449026189.0, "percent_earned": 17.756536691447934,
+        "id": "tadpole", "times_awarded": 3511, "name": "Tadpole"}, {"description":
+        "You''ve had a FAS account for over one year", "tags": "lifecycle,community,",
+        "issued": 1389070973.0, "image": "https://badges.fedoraproject.org/pngs/fas-account-egg.png",
+        "first_awarded": 1389068846.0, "first_awarded_person": "darthvader", "last_awarded_person":
+        "rajalakshmi", "last_awarded": 1449029694.0, "percent_earned": 37.68269862944419,
+        "id": "egg", "times_awarded": 7451, "name": "Egg"}, {"description": "You''ve
+        had a FAS account for over 5 years", "tags": "lifecycle,community,", "issued":
+        1389077372.0, "image": "https://badges.fedoraproject.org/pngs/fas-account-tadpole-with-legs.png",
+        "first_awarded": 1389076692.0, "first_awarded_person": "ftpfree", "last_awarded_person":
+        "jdulaney", "last_awarded": 1446505520.0, "percent_earned": 9.781014514742326,
+        "id": "tadpole-with-legs", "times_awarded": 1934, "name": "Tadpole with Legs"},
+        {"description": "You''re a developer contributing to the Fedora Badges stack",
+        "tags": "development,badges,", "issued": 1389131503.0, "image": "https://badges.fedoraproject.org/pngs/badge-off.png",
+        "first_awarded": 1389131479.0, "first_awarded_person": "adamwill", "last_awarded_person":
+        "sayanchowdhury", "last_awarded": 1449715315.0, "percent_earned": 0.10114803014211297,
+        "id": "badge-off!", "times_awarded": 20, "name": "Badge Off!"}, {"description":
+        "*(great joy)*\nTested and added karma to 80 updates-testing updates in Bodhi.\n",
+        "tags": "ten bulls,quality,", "issued": 1389368853.0, "image": "https://badges.fedoraproject.org/pngs/tester-06.png",
+        "first_awarded": 1375896221.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "vinumoses", "last_awarded": 1451694870.0, "percent_earned": 0.475395741667931,
+        "id": "riding-the-bull-home-tester-vi", "times_awarded": 94, "name": "Riding
+        the Bull Home (Tester VI)"}, {"description": "You were sponsored into the
+        Fedora Infrastructure Apprentice group", "tags": "development,infrastructure,",
+        "issued": 1389889699.0, "image": "https://badges.fedoraproject.org/pngs/no-ronin.png",
+        "first_awarded": 1389889653.0, "first_awarded_person": "jam3s", "last_awarded_person":
+        "aryasaatvik", "last_awarded": 1452796719.0, "percent_earned": 0.66251959743084,
+        "id": "no-longer-a-ronin", "times_awarded": 131, "name": "No Longer a Ronin"},
+        {"description": "Added 250 new tags to packages in Fedora Tagger.", "tags":
+        "quality,tagger,", "issued": 1390419184.0, "image": "https://badges.fedoraproject.org/pngs/master-package-tagger.png",
+        "first_awarded": 1390419184.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "jibecfed", "last_awarded": 1451496270.0, "percent_earned": 0.2579274768623881,
+        "id": "master-package-tagger-package-tagger-iv", "times_awarded": 51, "name":
+        "Master Package Tagger (Package Tagger IV)"}, {"description": "Added a new
+        tag for a package in Fedora Tagger.", "tags": "quality,tagger,", "issued":
+        1390419187.0, "image": "https://badges.fedoraproject.org/pngs/junior-package-tagger.png",
+        "first_awarded": 1390412894.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "bitlord", "last_awarded": 1452632607.0, "percent_earned": 1.456531634046427,
+        "id": "junior-package-tagger-package-tagger-i", "times_awarded": 288, "name":
+        "Junior Package Tagger (Package Tagger I)"}, {"description": "Added 50 new
+        tags to packages in Fedora Tagger.", "tags": "quality,tagger,", "issued":
+        1390419190.0, "image": "https://badges.fedoraproject.org/pngs/senior-package-tagger.png",
+        "first_awarded": 1390412897.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "duffy", "last_awarded": 1451767725.0, "percent_earned": 0.5209123552318818,
+        "id": "senior-package-tagger-package-tagger-iii", "times_awarded": 103, "name":
+        "Senior Package Tagger (Package Tagger III)"}, {"description": "Added 10 new
+        tags for packages in Fedora Tagger.", "tags": "quality,tagger,", "issued":
+        1390419193.0, "image": "https://badges.fedoraproject.org/pngs/package-tagger.png",
+        "first_awarded": 1390412900.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "mastaiza", "last_awarded": 1453367728.0, "percent_earned": 0.9255044758003338,
+        "id": "package-tagger-package-tagger-ii", "times_awarded": 183, "name": "Package
+        Tagger (Package Tagger II)"}, {"description": "You gave a presentation at
+        DevConf.cz, 2014", "tags": "event,speaker,", "issued": 1390422108.0, "image":
+        "https://badges.fedoraproject.org/pngs/dev-conf-presenter.png", "first_awarded":
+        1390422108.0, "first_awarded_person": "ralph", "last_awarded_person": "siddharths",
+        "last_awarded": 1420480194.0, "percent_earned": 0.23264046932685986, "id":
+        "devconf-2014-speaker", "times_awarded": 46, "name": "DevConf 2014 Speaker"},
+        {"description": "Pushed 1000 commits to a Fedora package repository.", "tags":
+        "development,", "issued": 1390944539.0, "image": "https://badges.fedoraproject.org/pngs/you-can-call-me-patches-05.png",
+        "first_awarded": 1375892508.0, "first_awarded_person": "rdieter", "last_awarded_person":
+        "valtri", "last_awarded": 1452814661.0, "percent_earned": 0.38436251454002934,
+        "id": "patches-scm-v", "times_awarded": 76, "name": "Patches (SCM V)"}, {"description":
+        "Created a buildroot override in the koji build system", "tags": "development,",
+        "issued": 1391016371.0, "image": "https://badges.fedoraproject.org/pngs/override-you-say.png",
+        "first_awarded": 1390489685.0, "first_awarded_person": "notting", "last_awarded_person":
+        "cstratak", "last_awarded": 1453371384.0, "percent_earned": 1.4009002174682648,
+        "id": "override,-you-say", "times_awarded": 277, "name": "Override, you say?"},
+        {"description": "You attended devconf.cz, a yearly Linux and JBoss conference
+        in the Czech Republic", "tags": "event,devconf,", "issued": 1391763090.0,
+        "image": "https://badges.fedoraproject.org/pngs/dev-conf-attendee.png", "first_awarded":
+        1391760446.0, "first_awarded_person": "churchyard", "last_awarded_person":
+        "siddharths", "last_awarded": 1419207296.0, "percent_earned": 0.31355889344055027,
+        "id": "devconf-attendee", "times_awarded": 62, "name": "DevConf Attendee"},
+        {"description": "You are a member of the videos team", "tags": "video,community,",
+        "issued": 1392217171.0, "image": "https://badges.fedoraproject.org/pngs/videographer.png",
+        "first_awarded": 1392217167.0, "first_awarded_person": "williamjmorenor",
+        "last_awarded_person": "nb", "last_awarded": 1439569573.0, "percent_earned":
+        0.060688818085267784, "id": "videographer", "times_awarded": 12, "name": "Videographer"},
+        {"description": "Succesfully completed 1000 koji builds.", "tags": "development,koji,",
+        "issued": 1392827319.0, "image": "https://badges.fedoraproject.org/pngs/koji-if-you-build-it-05.png",
+        "first_awarded": 1377712281.0, "first_awarded_person": "rdieter", "last_awarded_person":
+        "sagitter", "last_awarded": 1450261520.0, "percent_earned": 0.2376978708339655,
+        "id": "all-your-$arch-are-belong-to-us-koji-success-v", "times_awarded": 47,
+        "name": "All your $arch are belong to us (Koji Success V)"}, {"description":
+        "Successfully completed a copr build", "tags": "development,copr,", "issued":
+        1392676733.0, "image": "https://badges.fedoraproject.org/pngs/copr-build.png",
+        "first_awarded": 1389199510.0, "first_awarded_person": "dvratil", "last_awarded_person":
+        "tkral", "last_awarded": 1453372187.0, "percent_earned": 5.719921104536489,
+        "id": "building-the-outer-ring-copr-build-i", "times_awarded": 1131, "name":
+        "Building the Outer Ring (Copr Build I)"}, {"description": "Someone gave one
+        of your updates good karma", "tags": "development,karma,", "issued": 1392712116.0,
+        "image": "https://badges.fedoraproject.org/pngs/what-goes-around-comes-around.png",
+        "first_awarded": 1392392577.0, "first_awarded_person": "spot", "last_awarded_person":
+        "plfiorini", "last_awarded": 1453366379.0, "percent_earned": 3.7070753047084413,
+        "id": "what-goes-around-comes-around-karma-i", "times_awarded": 733, "name":
+        "What goes around comes around (Karma I)"}, {"description": "Tested an update
+        for an older stable release of Fedora", "tags": "quality,", "issued": 1392752446.0,
+        "image": "https://badges.fedoraproject.org/pngs/it-still-works.png", "first_awarded":
+        1386126231.0, "first_awarded_person": "kevin", "last_awarded_person": "catanzaro",
+        "last_awarded": 1453387064.0, "percent_earned": 3.342942396196834, "id": "it-still-works!",
+        "times_awarded": 661, "name": "It still works!"}, {"description": "You submitted
+        an update to bodhi with one or more bugzilla bug numbers attached", "tags":
+        "development,", "issued": 1394463577.0, "image": "https://badges.fedoraproject.org/pngs/take-this.png",
+        "first_awarded": 1393128956.0, "first_awarded_person": "mooninite", "last_awarded_person":
+        "cstratak", "last_awarded": 1453371258.0, "percent_earned": 4.147069235826632,
+        "id": "take-this-and-call-me-in-the-morning", "times_awarded": 820, "name":
+        "Take this and call me in the morning"}, {"description": "You posted 40 or
+        more things to the Fedora Planet!", "tags": "blog,community,", "issued": 1398960087.0,
+        "image": "https://badges.fedoraproject.org/pngs/planet-bloggin-it-05.png",
+        "first_awarded": 1375963234.0, "first_awarded_person": "rjones", "last_awarded_person":
+        "bochecha", "last_awarded": 1452463312.0, "percent_earned": 0.66251959743084,
+        "id": "bob-loblaw-planet-v", "times_awarded": 131, "name": "Bob Loblaw (Planet
+        V)"}, {"description": "Pushed 500 bodhi updates to the stable repositories.",
+        "tags": "development,", "issued": 1396123360.0, "image": "https://badges.fedoraproject.org/pngs/like-a-rock-04.png",
+        "first_awarded": 1376079014.0, "first_awarded_person": "jamielinux", "last_awarded_person":
+        "piotrp", "last_awarded": 1452692980.0, "percent_earned": 0.11126283315632428,
+        "id": "like-a-rock-updates-stable-iv", "times_awarded": 22, "name": "Like
+        a Rock (Updates-Stable IV)"}, {"description": "You set up a meeting in the
+        Fedora Calendar", "tags": "community,", "issued": 1397054728.0, "image": "https://badges.fedoraproject.org/pngs/lets-do-lunch.png",
+        "first_awarded": 1391191973.0, "first_awarded_person": "lbazan", "last_awarded_person":
+        "potty", "last_awarded": 1448485603.0, "percent_earned": 0.2680422798765994,
+        "id": "lets-do-lunch!", "times_awarded": 53, "name": "Let''s do lunch!"},
+        {"description": "Sip the lemonade away (You deserve it for remembering your
+        responsibility)!", "tags": "community,", "issued": 1397059347.0, "image":
+        "https://badges.fedoraproject.org/pngs/beach-bum.png", "first_awarded": 1394486757.0,
+        "first_awarded_person": "shaiton", "last_awarded_person": "piotrp", "last_awarded":
+        1452501182.0, "percent_earned": 0.7434380215445304, "id": "vacation", "times_awarded":
+        147, "name": "Vacation"}, {"description": "You visited the Fedora booth at
+        Pycon, 2014", "tags": "event,python,", "issued": 1397168025.0, "image": "https://badges.fedoraproject.org/pngs/pycon_2014_attendee.png",
+        "first_awarded": 1397168025.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "abompard", "last_awarded": 1397573900.0, "percent_earned": 0.05057401507105649,
+        "id": "pycon-2014-attendee", "times_awarded": 10, "name": "Pycon 2014 Attendee"},
+        {"description": "You submitted feedback for an update in Bodhi after it was
+        pushed to stable", "tags": "quality,oops,", "issued": 1397684618.0, "image":
+        "https://badges.fedoraproject.org/pngs/missed-the-train.png", "first_awarded":
+        1392396477.0, "first_awarded_person": "puiterwijk", "last_awarded_person":
+        "thozza", "last_awarded": 1439904242.0, "percent_earned": 1.44135942952511,
+        "id": "missed-the-train", "times_awarded": 285, "name": "Missed the Train"},
+        {"description": "You built a package owned by someone else.  It takes a village...",
+        "tags": "development,", "issued": 1400246660.0, "image": "https://badges.fedoraproject.org/pngs/helping_hand.png",
+        "first_awarded": 1394038498.0, "first_awarded_person": "sochotni", "last_awarded_person":
+        "ilgrad", "last_awarded": 1452896392.0, "percent_earned": 2.0128457998280487,
+        "id": "helping-hand", "times_awarded": 398, "name": "Helping Hand"}, {"description":
+        "You''ve been granted the blessing of the Fedora Project Leader.", "tags":
+        "fpl,miscellaneous,", "issued": 1401833399.0, "image": "https://badges.fedoraproject.org/pngs/fpl-blessing.png",
+        "first_awarded": 1376269552.0, "first_awarded_person": "adamwill", "last_awarded_person":
+        "skottler", "last_awarded": 1401833697.0, "percent_earned": 0.4652809386537197,
+        "id": "the-blessing-of-the-fpl", "times_awarded": 92, "name": "The Blessing
+        of the FPL"}, {"description": "Submitted 100 or more koji builds that failed
+        to build.", "tags": "development,oops,koji,", "issued": 1403195400.0, "image":
+        "https://badges.fedoraproject.org/pngs/koji-what-goes-up-04.png", "first_awarded":
+        1377715853.0, "first_awarded_person": "vicodan", "last_awarded_person": "mcrha",
+        "last_awarded": 1453136709.0, "percent_earned": 0.3489607039902898, "id":
+        "what-goes-up...-koji-failure-iv", "times_awarded": 69, "name": "What goes
+        up... (Koji Failure IV)"}, {"description": "You updated your password with
+        the Fedora Account System (FAS)", "tags": "account,community,", "issued":
+        1404948910.0, "image": "https://badges.fedoraproject.org/pngs/fas-paranoid-panda.png",
+        "first_awarded": 1376708721.0, "first_awarded_person": "rstrode", "last_awarded_person":
+        "fishers1967", "last_awarded": 1453390883.0, "percent_earned": 69.3824912759824,
+        "id": "paranoid-panda", "times_awarded": 13719, "name": "Paranoid Panda"},
+        {"description": "      You gave a presentation at Flock 2014, the Fedora Contributor
+        Conference", "tags": "event,flock,speaker,", "issued": 1405362797.0, "image":
+        "https://badges.fedoraproject.org/pngs/flock-2014-speaker.png", "first_awarded":
+        1405362496.0, "first_awarded_person": "abompard", "last_awarded_person": "amita",
+        "last_awarded": 1408553413.0, "percent_earned": 0.3691903100187124, "id":
+        "flock-2014-speaker", "times_awarded": 73, "name": "Flock 2014 Speaker"},
+        {"description": "You have received 10 or more good karma on your bodhi updates",
+        "tags": "development,karma,", "issued": 1406215355.0, "image": "https://badges.fedoraproject.org/pngs/what-goes-around-comes-around-10.png",
+        "first_awarded": 1392397378.0, "first_awarded_person": "jforbes", "last_awarded_person":
+        "swilkerson", "last_awarded": 1453199550.0, "percent_earned": 1.7953775350225056,
+        "id": "what-goes-around-comes-around-karma-ii", "times_awarded": 355, "name":
+        "What goes around comes around (Karma II)"}, {"description": "Edited at least
+        100 wiki pages.", "tags": "content,wiki,", "issued": 1406329746.0, "image":
+        "https://badges.fedoraproject.org/pngs/master-editor.png", "first_awarded":
+        1375891554.0, "first_awarded_person": "ppisar", "last_awarded_person": "siwinski",
+        "last_awarded": 1453319029.0, "percent_earned": 0.981135892378496, "id": "master-editor",
+        "times_awarded": 194, "name": "Master Editor"}, {"description": "You have
+        received 50 or more good karma on your bodhi updates", "tags": "development,karma,",
+        "issued": 1406630310.0, "image": "https://badges.fedoraproject.org/pngs/what-goes-around-comes-around-50.png",
+        "first_awarded": 1393287975.0, "first_awarded_person": "jforbes", "last_awarded_person":
+        "mluscon", "last_awarded": 1450742624.0, "percent_earned": 0.5866585748242553,
+        "id": "what-goes-around-comes-around-karma-iii", "times_awarded": 116, "name":
+        "What goes around comes around (Karma III)"}, {"description": "  You attended
+        Flock 2014, the Fedora Contributor Conference", "tags": "event,flock,", "issued":
+        1407308400.0, "image": "https://badges.fedoraproject.org/pngs/flock-2014-attendee.png",
+        "first_awarded": 1405334492.0, "first_awarded_person": "sgallagh", "last_awarded_person":
+        "rathann", "last_awarded": 1426267409.0, "percent_earned": 0.6119455823597835,
+        "id": "flock-2014-attendee", "times_awarded": 121, "name": "Flock 2014 Attendee"},
+        {"description": "You completed a run of the kernel regression test suite",
+        "tags": "kernel,quality,", "issued": 1407409472.0, "image": "https://badges.fedoraproject.org/pngs/kernel-tester.png",
+        "first_awarded": 1407405561.0, "first_awarded_person": "jforbes", "last_awarded_person":
+        "devhen", "last_awarded": 1452673329.0, "percent_earned": 0.6574621959237344,
+        "id": "science-kernel-tester-i", "times_awarded": 130, "name": "Science (Kernel
+        Tester I)"}, {"description": "Ahoy! You attended the boat party at the Flock
+        2014 conference in Prague!", "tags": "event,flock,", "issued": 1407430507.0,
+        "image": "https://badges.fedoraproject.org/pngs/party-pirate.png", "first_awarded":
+        1407430497.0, "first_awarded_person": "lmacken", "last_awarded_person": "amsharma",
+        "last_awarded": 1408665317.0, "percent_earned": 0.4501087341324028, "id":
+        "party-pirate", "times_awarded": 89, "name": "Party Pirate"}, {"description":
+        "You submitted 200 Bodhi updates for an EPEL branch.", "tags": "development,epel,",
+        "issued": 1407498349.0, "image": "https://badges.fedoraproject.org/pngs/corporate-overlord.png",
+        "first_awarded": 1407423571.0, "first_awarded_person": "remi", "last_awarded_person":
+        "limb", "last_awarded": 1452540830.0, "percent_earned": 0.05563141657816214,
+        "id": "corporate-overlord", "times_awarded": 11, "name": "Corporate Overlord"},
+        {"description": "You submitted 50 Bodhi updates for an EPEL branch.", "tags":
+        "development,epel,", "issued": 1407498359.0, "image": "https://badges.fedoraproject.org/pngs/corporate-shill.png",
+        "first_awarded": 1407423581.0, "first_awarded_person": "remi", "last_awarded_person":
+        "greghellings", "last_awarded": 1453354804.0, "percent_earned": 0.3439033024831841,
+        "id": "corporate-shill", "times_awarded": 68, "name": "Corporate Shill"},
+        {"description": "You submitted an Bodhi update for an EPEL branch.", "tags":
+        "development,epel,", "issued": 1407498367.0, "image": "https://badges.fedoraproject.org/pngs/corporate-drone.png",
+        "first_awarded": 1407423591.0, "first_awarded_person": "remi", "last_awarded_person":
+        "cstratak", "last_awarded": 1453390902.0, "percent_earned": 2.483184139988874,
+        "id": "corporate-drone", "times_awarded": 491, "name": "Corporate Drone"},
+        {"description": "You got 100 Fedora Badges!  Wow!", "tags": "community,badges,",
+        "issued": 1407498391.0, "image": "https://badges.fedoraproject.org/pngs/badger-03.png",
+        "first_awarded": 1394558737.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "fale", "last_awarded": 1452297195.0, "percent_earned": 0.17195165124159206,
+        "id": "master-badger-badger-iii", "times_awarded": 34, "name": "Master Badger
+        (Badger III)"}, {"description": "*(the bull forgotten, discipline''s whip
+        is idle; stillness)*\nTested and added karma to 125 updates-testing updates
+        in Bodhi.\n", "tags": "ten bulls,quality,", "issued": 1408115651.0, "image":
+        "https://badges.fedoraproject.org/pngs/tester-07.png", "first_awarded": 1375896222.0,
+        "first_awarded_person": "kevin", "last_awarded_person": "heikoada", "last_awarded":
+        1452772620.0, "percent_earned": 0.3793051130329237, "id": "the-bull-transcended-tester-vii",
+        "times_awarded": 75, "name": "The Bull Transcended (Tester VII)"}, {"description":
+        "You danced with Toshio (abadger1999) at a Fedora event", "tags": "event,freshness,",
+        "issued": 1408122340.0, "image": "https://badges.fedoraproject.org/pngs/dancing_with_toshio.png",
+        "first_awarded": 1408121695.0, "first_awarded_person": "abompard", "last_awarded_person":
+        "chrisroberts", "last_awarded": 1439838603.0, "percent_earned": 0.15677944672027513,
+        "id": "dancing-with-toshio", "times_awarded": 31, "name": "Dancing with Toshio"},
+        {"description": "Voted in a supplemental wallpapers election for the Fedora
+        21 release", "tags": "election,community,nuancier,", "issued": 1408150877.0,
+        "image": "https://badges.fedoraproject.org/pngs/nuancier-f21-voted.png", "first_awarded":
+        1408147284.0, "first_awarded_person": "gnokii", "last_awarded_person": "pravins",
+        "last_awarded": 1409902273.0, "percent_earned": 0.5563141657816214, "id":
+        "nuancier-21", "times_awarded": 110, "name": "Nuancier 21"}, {"description":
+        "We''re sorry, but you had one of your badges revoked.  Something must have
+        gone wrong.", "tags": "sad trombone,badges,community,", "issued": 1408725704.0,
+        "image": "https://badges.fedoraproject.org/pngs/consolation-prize.png", "first_awarded":
+        1392255607.0, "first_awarded_person": "dmalcolm", "last_awarded_person": "iaguis",
+        "last_awarded": 1452874718.0, "percent_earned": 2.0229606028422595, "id":
+        "consolation-prize", "times_awarded": 400, "name": "Consolation Prize"}, {"description":
+        "You updated your GPG key with the Fedora Account System (FAS)", "tags": "account,community,",
+        "issued": 1408455462.0, "image": "https://badges.fedoraproject.org/pngs/fas-crypto-panda.png",
+        "first_awarded": 1375891835.0, "first_awarded_person": "itorres", "last_awarded_person":
+        "lovetide", "last_awarded": 1453389559.0, "percent_earned": 12.324887472816467,
+        "id": "crypto-panda", "times_awarded": 2437, "name": "Crypto Panda"}, {"description":
+        "Successfully completed 20 copr builds", "tags": "development,copr,", "issued":
+        1408587109.0, "image": "https://badges.fedoraproject.org/pngs/copr-build-20.png",
+        "first_awarded": 1389199520.0, "first_awarded_person": "dvratil", "last_awarded_person":
+        "paulotada", "last_awarded": 1453313558.0, "percent_earned": 3.262023972083144,
+        "id": "building-the-outer-ring-copr-build-ii", "times_awarded": 645, "name":
+        "Building the Outer Ring (Copr Build II)"}, {"description": "Pushed 1000 bodhi
+        updates to the testing repositories.", "tags": "development,", "issued": 1409321568.0,
+        "image": "https://badges.fedoraproject.org/pngs/is-this-thing-on-05.png",
+        "first_awarded": 1398006872.0, "first_awarded_person": "jamielinux", "last_awarded_person":
+        "ppisar", "last_awarded": 1447066663.0, "percent_earned": 0.04551661356395084,
+        "id": "mic-check!-updates-testing-v", "times_awarded": 9, "name": "Mic Check!
+        (Updates-Testing V)"}, {"description": "You took ownership of a previously
+        orphaned package.", "tags": "development,ownership,", "issued": 1418228616.0,
+        "image": "https://badges.fedoraproject.org/pngs/pkgdb-the-cat-came-back.png",
+        "first_awarded": 1381330499.0, "first_awarded_person": "tmraz", "last_awarded_person":
+        "ohaessler", "last_awarded": 1452768576.0, "percent_earned": 1.3048095888332576,
+        "id": "the-cat-came-back...", "times_awarded": 258, "name": "The cat came
+        back..."}, {"description": "You designed a Fedora Badge! Welcome to Florence,
+        apprentice badge artist.", "tags": "content,design,badges", "issued": 1420755671.0,
+        "image": "https://badges.fedoraproject.org/pngs/artist-01-apprentice.png",
+        "first_awarded": 1420755606.0, "first_awarded_person": "ryanlerch", "last_awarded_person":
+        "spot", "last_awarded": 1446145228.0, "percent_earned": 0.09103322712790168,
+        "id": "apprentice-badge-artist-i", "times_awarded": 18, "name": "Apprentice
+        (Badge Artist I)"}, {"description": "You have received 100 or more good karma
+        on your bodhi updates", "tags": "development,karma,", "issued": 1421316923.0,
+        "image": "https://badges.fedoraproject.org/pngs/what-goes-around-comes-around-100.png",
+        "first_awarded": 1396803342.0, "first_awarded_person": "jforbes", "last_awarded_person":
+        "sandeen", "last_awarded": 1439922999.0, "percent_earned": 0.28321448439791636,
+        "id": "what-goes-around-comes-around-karma-iv", "times_awarded": 56, "name":
+        "What goes around comes around (Karma IV)"}, {"description": "You participated
+        in the Design Team FAD, 2015", "tags": "event,fad,design,", "issued": 1421420485.0,
+        "image": "https://badges.fedoraproject.org/pngs/fad_design.png", "first_awarded":
+        1421419806.0, "first_awarded_person": "chrisroberts", "last_awarded_person":
+        "rbergero", "last_awarded": 1421432734.0, "percent_earned": 0.09103322712790168,
+        "id": "design-ninja", "times_awarded": 18, "name": "Design Ninja"}, {"description":
+        "You gave a presentation at Flock 2015, the Fedora Contributor Conference",
+        "tags": "event,flock,speaker,", "issued": 1439502241.0, "image": "https://badges.fedoraproject.org/pngs/flock-2015-speaker.png",
+        "first_awarded": 1439502092.0, "first_awarded_person": "spot", "last_awarded_person":
+        "jzeleny", "last_awarded": 1439503832.0, "percent_earned": 0.31355889344055027,
+        "id": "flock-2015-speaker", "times_awarded": 62, "name": "Flock 2015 Speaker"},
+        {"description": "Pushed 1000 bodhi updates to the stable repositories.", "tags":
+        "development,", "issued": 1423235515.0, "image": "https://badges.fedoraproject.org/pngs/like-a-rock-05.png",
+        "first_awarded": 1413266082.0, "first_awarded_person": "remi", "last_awarded_person":
+        "rdieter", "last_awarded": 1449536137.0, "percent_earned": 0.030344409042633892,
+        "id": "tectonic!-updates-stable-v", "times_awarded": 6, "name": "Tectonic!
+        (Updates-Stable V)"}, {"description": "You got 25 or more Fedora Badges",
+        "tags": "community,badges,", "issued": 1423235523.0, "image": "https://badges.fedoraproject.org/pngs/badger-01.5.png",
+        "first_awarded": 1421694162.0, "first_awarded_person": "rhughes", "last_awarded_person":
+        "icon", "last_awarded": 1453222652.0, "percent_earned": 4.101552622262681,
+        "id": "associate-badger-badger-1.5", "times_awarded": 811, "name": "Associate
+        Badger (Badger 1.5)"}, {"description": "You attended Flock 2015, the Fedora
+        Contributor Conference", "tags": "conference,rochester,events,flock,flock
+        2015,event,", "issued": 1439318156.0, "image": "https://badges.fedoraproject.org/pngs/flock-2015-attendee.png",
+        "first_awarded": 1438119680.0, "first_awarded_person": "decause", "last_awarded_person":
+        "jenneh", "last_awarded": 1441736246.0, "percent_earned": 0.3995347190613463,
+        "id": "flock-2015-attendee", "times_awarded": 79, "name": "FLOCK 2015 Attendee"},
+        {"description": "You''ve been given a cookie for helping someone out.  Thanks!",
+        "tags": "cookie,community,", "issued": 1426702546.0, "image": "https://badges.fedoraproject.org/pngs/macaroncookie.png",
+        "first_awarded": 1426702242.0, "first_awarded_person": "riecatnor", "last_awarded_person":
+        "mluscon", "last_awarded": 1453387739.0, "percent_earned": 2.2556010721691195,
+        "id": "macaron-cookie-i", "times_awarded": 446, "name": "Macaron (Cookie I)"},
+        {"description": "Ten people think you''re great, because they''ve given you
+        cookies. Yummy!", "tags": "cookie,community,", "issued": 1426796321.0, "image":
+        "https://badges.fedoraproject.org/pngs/chocolatechipcookie.png", "first_awarded":
+        1426796321.0, "first_awarded_person": "ralph", "last_awarded_person": "walters",
+        "last_awarded": 1452199929.0, "percent_earned": 0.2680422798765994, "id":
+        "chocolate-chip-cookie-ii", "times_awarded": 53, "name": "Chocolate Chip (Cookie
+        II)"}, {"description": "Voted in the supplemental wallpapers election for
+        the Fedora 22 release", "tags": "election,community,nuancier,", "issued":
+        1426883250.0, "image": "https://badges.fedoraproject.org/pngs/nuancier-f22-voted.png",
+        "first_awarded": 1426835617.0, "first_awarded_person": "gnokii", "last_awarded_person":
+        "sarupbanskota", "last_awarded": 1427224635.0, "percent_earned": 0.40964952207555755,
+        "id": "nuancier-f22", "times_awarded": 81, "name": "Nuancier (F22)"}, {"description":
+        "You pinned your country in FAS!", "tags": "account,community,", "issued":
+        1427991763.0, "image": "https://badges.fedoraproject.org/pngs/fas-country.png",
+        "first_awarded": 1427832337.0, "first_awarded_person": "aeperezt", "last_awarded_person":
+        "jvasallo", "last_awarded": 1453390594.0, "percent_earned": 36.86845698680018,
+        "id": "origin", "times_awarded": 7290, "name": "Origin"}, {"description":
+        "You added a new package to the distribution.", "tags": "development,", "issued":
+        1377267893.0, "image": "https://badges.fedoraproject.org/pngs/delivery.png",
+        "first_awarded": 1376569056.0, "first_awarded_person": "besser82", "last_awarded_person":
+        "tadej", "last_awarded": 1450046737.0, "percent_earned": 2.048247610377788,
+        "id": "delivery", "times_awarded": 405, "name": "Delivery"}, {"description":
+        "You mapped an upstream project to a Fedora package on release-monitoring.org",
+        "tags": "quality,anitya,", "issued": 1430855052.0, "image": "https://badges.fedoraproject.org/pngs/telegraph.png",
+        "first_awarded": 1430855052.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "pabelanger", "last_awarded": 1453318849.0, "percent_earned": 0.9406766803216507,
+        "id": "telegraphist-upstream-release-monitoring-i", "times_awarded": 186,
+        "name": "Telegraphist (Upstream Release Monitoring I)"}, {"description": "Mmmmm....
+        cookies. You''ve helped out 25 Fedorans! Go you!", "tags": "cookies,cookie,community,",
+        "issued": 1430923797.0, "image": "https://badges.fedoraproject.org/pngs/blackandwhitecookie.png",
+        "first_awarded": 1430923797.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "hguemar", "last_awarded": 1453303231.0, "percent_earned": 0.05057401507105649,
+        "id": "black-and-white-cookie-iii", "times_awarded": 10, "name": "Black and
+        White (Cookie III)"}, {"description": "Submitted 250 or more koji builds that
+        failed to build.", "tags": "development,oops,koji,", "issued": 1431713399.0,
+        "image": "https://badges.fedoraproject.org/pngs/koji-what-goes-up-05.png",
+        "first_awarded": 1378300711.0, "first_awarded_person": "ppisar", "last_awarded_person":
+        "piotrp", "last_awarded": 1451395906.0, "percent_earned": 0.12643503767764122,
+        "id": "hindenburg-koji-failure-v", "times_awarded": 25, "name": "Hindenburg
+        (Koji Failure V)"}, {"description": "Twenty Fedora Badges owe their existence
+        to you.  Prolific!", "tags": "community,badges,", "issued": 1433267989.0,
+        "image": "https://badges.fedoraproject.org/pngs/badgemuse_approved_20.png",
+        "first_awarded": 1433267989.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "ralph", "last_awarded": 1433267989.0, "percent_earned": 0.005057401507105649,
+        "id": "badge-muse-badges-released-iv", "times_awarded": 1, "name": "Badge
+        Muse (Badges Released IV)"}, {"description": "Five of your new Fedora Badge
+        ideas were approved and released.  Superb!", "tags": "community,badges,",
+        "issued": 1433268002.0, "image": "https://badges.fedoraproject.org/pngs/badgemuse_approved_5.png",
+        "first_awarded": 1423674135.0, "first_awarded_person": "adamwill", "last_awarded_person":
+        "eischmann", "last_awarded": 1452092327.0, "percent_earned": 0.035401810549739544,
+        "id": "badge-muse-badges-released-ii", "times_awarded": 7, "name": "Badge
+        Muse (Badges Released II)"}, {"description": "Your idea for a new Fedora Badge
+        was approved and released.  Awesome!", "tags": "community,badges,", "issued":
+        1433268014.0, "image": "https://badges.fedoraproject.org/pngs/badgemuse_approved.png",
+        "first_awarded": 1423674153.0, "first_awarded_person": "adamwill", "last_awarded_person":
+        "viveknrt", "last_awarded": 1452876035.0, "percent_earned": 0.11632023466342993,
+        "id": "badge-muse-badges-released-i", "times_awarded": 23, "name": "Badge
+        Muse (Badges Released I)"}, {"description": "Ten of your new Fedora Badge
+        ideas were approved and released.  Impressive!", "tags": "community,badges,",
+        "issued": 1433267996.0, "image": "https://badges.fedoraproject.org/pngs/badgemuse_approved_10.png",
+        "first_awarded": 1424466072.0, "first_awarded_person": "gnokii", "last_awarded_person":
+        "ralph", "last_awarded": 1433267996.0, "percent_earned": 0.010114803014211297,
+        "id": "badge-muse-badges-released-iii", "times_awarded": 2, "name": "Badge
+        Muse (Badges Released III)"}, {"description": "Each unique like a snowflake,
+        fifty of your Fedora Badge ideas were implemented.", "tags": "community,badges,",
+        "issued": 1433268008.0, "image": "https://badges.fedoraproject.org/pngs/badgemuse_approved_50.png",
+        "first_awarded": 1433268008.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "ralph", "last_awarded": 1433268008.0, "percent_earned": 0.005057401507105649,
+        "id": "badge-muse-badges-released-v", "times_awarded": 1, "name": "Badge Muse
+        (Badges Released V)"}, {"description": "Beep boop!  You attended the Museum
+        of Play party at the Flock 2015 conference in Rochester!", "tags": "event,flock,",
+        "issued": 1440122051.0, "image": "https://badges.fedoraproject.org/pngs/flock-2015-party.png",
+        "first_awarded": 1439510783.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "jenneh", "last_awarded": 1441736228.0, "percent_earned": 0.37424771152581804,
+        "id": "nom-nom-nom", "times_awarded": 74, "name": "Nom Nom Nom"}, {"description":
+        "Successfully completed 60 copr builds", "tags": "development,copr,", "issued":
+        1441220012.0, "image": "https://badges.fedoraproject.org/pngs/copr-build-60.png",
+        "first_awarded": 1389199513.0, "first_awarded_person": "dvratil", "last_awarded_person":
+        "alonid", "last_awarded": 1453299407.0, "percent_earned": 2.124108632984373,
+        "id": "building-the-outer-ring-copr-build-iii", "times_awarded": 420, "name":
+        "Building the Outer Ring (Copr Build III)"}, {"description": "You maintain
+        the Fedora websites.  The Web is yours!", "tags": "web,community,", "issued":
+        1442348476.0, "image": "https://badges.fedoraproject.org/pngs/rock-the-web.png",
+        "first_awarded": 1393598200.0, "first_awarded_person": "sundaram", "last_awarded_person":
+        "onekopaka", "last_awarded": 1451613302.0, "percent_earned": 0.25287007535528244,
+        "id": "rock-the-web!", "times_awarded": 50, "name": "Rock the Web!"}, {"description":
+        "You can speak Python and helped with porting stuff to Python 3", "tags":
+        "python,miscellaneous,", "issued": 1447943105.0, "image": "https://badges.fedoraproject.org/pngs/parselmouth.png",
+        "first_awarded": 1438695566.0, "first_awarded_person": "rkuska", "last_awarded_person":
+        "toshio", "last_awarded": 1447943130.0, "percent_earned": 0.21241086329843728,
+        "id": "parselmouth", "times_awarded": 42, "name": "Parselmouth"}, {"description":
+        "Edited at least 250 wiki pages.", "tags": "content,wiki,", "issued": 1444762324.0,
+        "image": "https://badges.fedoraproject.org/pngs/wikiedit-250.png", "first_awarded":
+        1409692963.0, "first_awarded_person": "hhorak", "last_awarded_person": "fale",
+        "last_awarded": 1453212624.0, "percent_earned": 0.38436251454002934, "id":
+        "chief-editor", "times_awarded": 76, "name": "Chief Editor"}, {"description":
+        "You''ve had a FAS account for over seven years", "tags": "lifecycle,community,",
+        "issued": 1446001652.0, "image": "https://badges.fedoraproject.org/pngs/fas-account-froglet.png",
+        "first_awarded": 1389060935.0, "first_awarded_person": "jwboyer", "last_awarded_person":
+        "pschultz", "last_awarded": 1449025570.0, "percent_earned": 5.927274566327821,
+        "id": "froglet", "times_awarded": 1172, "name": "Froglet"}, {"description":
+        "50 Fedorans have recognized your achievements by giving you cookies.", "tags":
+        "cookie,community,", "issued": 1447693727.0, "image": "https://badges.fedoraproject.org/pngs/pizzellecookie.png",
+        "first_awarded": 1447693727.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "puiterwijk", "last_awarded": 1450374896.0, "percent_earned": 0.015172204521316946,
+        "id": "pizzelle-cookie-iv", "times_awarded": 3, "name": "Pizzelle (Cookie
+        IV)"}, {"description": "You held second place on the Fedora Badges leaderboard",
+        "tags": "meta,community,", "issued": 1452873723.0, "image": "https://badges.fedoraproject.org/pngs/2_badge_340.png",
+        "first_awarded": 1452873723.0, "first_awarded_person": "ralph", "last_awarded_person":
+        "ralph", "last_awarded": 1452873723.0, "percent_earned": 0.005057401507105649,
+        "id": "silver", "times_awarded": 1, "name": "Silver"}, {"description": "You
+        ranked among the top 10 contributors on the Fedora Badges leaderboard", "tags":
+        "meta,community,", "issued": 1452875167.0, "image": "https://badges.fedoraproject.org/pngs/10_badge_340.png",
+        "first_awarded": 1452875035.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "churchyard", "last_awarded": 1452875228.0, "percent_earned": 0.05057401507105649,
+        "id": "top-10", "times_awarded": 10, "name": "Top 10"}, {"description": "You
+        ranked among the top 100 contributors on the Fedora Badges leaderboard", "tags":
+        "meta,community,", "issued": 1452875191.0, "image": "https://badges.fedoraproject.org/pngs/100_badge_340.png",
+        "first_awarded": 1452875133.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "siwinski", "last_awarded": 1453319241.0, "percent_earned": 0.15677944672027513,
+        "id": "top-100", "times_awarded": 31, "name": "Top 100"}, {"description":
+        "You ranked among the top 25 contributors on the Fedora Badges leaderboard",
+        "tags": "meta,community,", "issued": 1452875198.0, "image": "https://badges.fedoraproject.org/pngs/25_badge_340.png",
+        "first_awarded": 1452875140.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "fale", "last_awarded": 1453212640.0, "percent_earned": 0.13149243918474687,
+        "id": "top-25", "times_awarded": 26, "name": "Top 25"}, {"description": "You
+        ranked among the top 500 contributors on the Fedora Badges leaderboard", "tags":
+        "meta,community,", "issued": 1452875206.0, "image": "https://badges.fedoraproject.org/pngs/500_badge_340.png",
+        "first_awarded": 1452875147.0, "first_awarded_person": "kevin", "last_awarded_person":
+        "mluscon", "last_awarded": 1453387764.0, "percent_earned": 0.30344409042633896,
+        "id": "top-500", "times_awarded": 60, "name": "Top 500"}], "user": "ralph",
+        "avatar": "https://seccdn.libravatar.org/avatar/9c9f7784935381befc302fe3c814f9136e7a33953d0318761669b8643f4df55c?s=100&d=https%3A%2F%2Fbadges.fedoraproject.org%2Fstatic%2Fimg%2Fbadger_avatar.png"}'}
+    headers:
+      appserver: [proxy10.phx2.fedoraproject.org]
+      apptime: [D=14564110]
+      connection: [Keep-Alive]
+      content-length: ['66175']
+      content-type: [application/json; charset=UTF-8]
+      date: ['Thu, 21 Jan 2016 15:58:44 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+    status: {code: 200, message: OK}
+version: 1
